#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){	
	// initialize the accelerometer
	ofxAccelerometer.setup();
    id = 16;
    bSyncSent = false;
    ballX    = 0;
    
    if (id==0){
        sender.setup("196.168.1.255", 8888);
    } else{
        receiver.setup(8888);
    }
    
    
}

//--------------------------------------------------------------
void testApp::update(){
    // server
    if (ballX == 0 && bSyncSent == false && ofGetElapsedTimeMillis()< 5000 && id == 0 ){
        ofxOscMessage msg;
        msg.setAddress("sync");
        msg.addIntArg(ofGetElapsedTimeMillis());
        sender.sendMessage(msg);
        bSyncSent = true;
    }
    
    
    if (id!= 0 && bSyncSent == false) {
        if(receiver.hasWaitingMessages()){
            ofxOscMessage msg;
            receiver.getNextMessage(&msg);
            if (msg.getAddress() == "sync"){
                int time = msg.getArgAsInt32(0);
                bSyncSent = true;
            }
        }
    }
    
    if (bSyncSent){
        ballX+=ofGetLastFrameTime();
    }
}

//--------------------------------------------------------------
void testApp::draw(){
    ofCircle((ballX-id)* ofGetWidth(), 100,30);
	
}

//--------------------------------------------------------------
void testApp::exit(){

}

//--------------------------------------------------------------
void testApp::touchDown(ofTouchEventArgs & touch){

}

//--------------------------------------------------------------
void testApp::touchMoved(ofTouchEventArgs & touch){

}

//--------------------------------------------------------------
void testApp::touchUp(ofTouchEventArgs & touch){

}

//--------------------------------------------------------------
void testApp::touchDoubleTap(ofTouchEventArgs & touch){

}

//--------------------------------------------------------------
void testApp::touchCancelled(ofTouchEventArgs & touch){
    
}

//--------------------------------------------------------------
void testApp::lostFocus(){

}

//--------------------------------------------------------------
void testApp::gotFocus(){

}

//--------------------------------------------------------------
void testApp::gotMemoryWarning(){

}

//--------------------------------------------------------------
void testApp::deviceOrientationChanged(int newOrientation){

}

